summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.install6
1 files changed, 3 insertions, 3 deletions
diff --git a/.install b/.install
index 67db3018839..4d32dcedf11 100644
--- a/.install
+++ b/.install
@@ -16,16 +16,16 @@ migrateUserData() {
# If needed, create userspace path
if [[ ! -d "$homedir/.local/share/odin2/Soundbanks" ]] ; then
- sudo -u "$user" mkdir -p "$homedir/.local/share/odin2/Soundbanks" || return 1
+ sudo -u "$user" mkdir -p "$homedir/.local/share" || return 1
fi
# Create/Migrate the user data
if [[ -d /opt/odin2 ]] ; then
- sudo -u "$user" cp -r '/opt/odin2/Soundbanks/User Patches' "$homedir/.local/share/odin2/Soundbanks" || return 1
+ sudo -u "$user" cp -r '/opt/odin2' "$homedir/.local/share" || return 1
rm -rf /opt/odin2 || return 1
else
if [[ ! -d "$homedir/.local/share/odin2/Soundbanks/User Patches" ]] ; then
- mkdir "$homedir/.local/share/odin2/Soundbanks/User Patches"
+ mkdir -p "$homedir/.local/share/odin2/Soundbanks/User Patches"
fi
fi
}